Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.nodetype
Interface PropertyDefinitionTemplate

All Superinterfaces:
  ItemDefinition, PropertyDefinition, PropertyDefinitionTemplate

    @NotThreadSafe
    public interface PropertyDefinitionTemplate

extends PropertyDefinitionTemplate

A template that can be used to create new property definitions, patterned after the approach in the proposed JSR-283. This interface extends the standard `PropertyDefinition` interface and adds setter methods for the various attributes.

See Also:
  `NodeTypeDefinition.getDeclaredPropertyDefinitions()`

Method Summary
`void` | `setDefaultValues(String[] defaultValues)` Deprecated. As of ModeShape 2.0, use `PropertyDefinitionTemplate.setDefaultValues(javax.jcr.Value[])` instead

Methods inherited from interface javax.jcr.nodetype.PropertyDefinitionTemplate
`setAutoCreated, setAvailableQueryOperators, setDefaultValues, setFullTextSearchable, setMandatory, setMultiple, setName, setOnParentVersion, setProtected, setQueryOrderable, setRequiredType, setValueConstraints`

Methods inherited from interface javax.jcr.nodetype.PropertyDefinition
`getAvailableQueryOperators, getDefaultValues, getRequiredType, getValueConstraints, isFullTextSearchable, isMultiple, isQueryOrderable`

Methods inherited from interface javax.jcr.nodetype.ItemDefinition
`getDeclaringNodeType, getName, getOnParentVersion, isAutoCreated, isMandatory, isProtected`

Method Detail

### setDefaultValues

    @Deprecated
    void setDefaultValues(String[] defaultValues)

  Deprecated. As of ModeShape 2.0, use `PropertyDefinitionTemplate.setDefaultValues(javax.jcr.Value[])` instead

  Set the default values for the property, using their string representation. See `PropertyDefinition.getDefaultValues()` for more details.

  Parameters:
    `defaultValues` - the string representation of the default values, or null or an empty array if there are no default values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.